easy_admin:
  site_name: THE FACE - Paris
  design:
    assets:
      js:
        - "/admin/custom.js"
        - "/admin/jquery-ui-sortable.min.js"
      css:
        - "/admin/custom.css"
  user:
    display_name: true
    display_avatar: false
    name_property_path: "email"
  entities:
    # List the entity class name you want to manage
    HomeTopItem:
      class: App\Entity\HomeTopItem
      label: "Éléments homepage : slider"
      list:
        max_results: 999999999
        fields:
          - {
              property: "image",
              sortable: false,
              type: "image",
              base_path: "%app.path.home_images_upload_path%",
            }
        sort: ["position", "ASC"]
      show:
        fields:
          - {
              property: "image",
              type: "image",
              base_path: "%app.path.home_images_upload_path%",
            }
          - { property: "position" }
      form:
        fields:
          - { property: "imageFile", label: "Image", type: "vich_image" }

    HomeLatestItem:
      class: App\Entity\HomeLatestItem
      label: "Éléments homepage : latest"
      list:
        max_results: 999999999
        fields:
          - {
              property: "image",
              sortable: false,
              type: "image",
              base_path: "%app.path.home_images_upload_path%",
            }
          - { property: "link", label: "Lien", sortable: false }
          - { property: "magazine", sortable: false }
          - { property: "fullName", label: "Nom complet", sortable: false }
        sort: ["position", "ASC"]
      show:
        fields:
          - {
              property: "image",
              type: "image",
              base_path: "%app.path.home_images_upload_path%",
            }
          - { property: "link", label: "Lien" }
          - { property: "magazine" }
          - { property: "fullName", label: "Nom complet" }
          - { property: "position" }
      form:
        fields:
          - { property: "imageFile", label: "Image", type: "vich_image" }
          - { property: "link", label: "Lien" }
          - { property: "magazine" }
          - { property: "fullName", label: "Nom complet" }

    EditablePage:
      class: App\Entity\EditablePage
      label: "Pages éditables"
      disabled_actions: ["new", "delete"]
      list:
        max_results: 999999999
        fields:
          - { property: "name", label: "Nom" }
          - { property: "url", label: "URL" }
      form:
        fields:
          - { property: "name", label: "Nom" }
          - { property: "content", label: "Contenu", type: "fos_ckeditor" }
